Puppet 4+, Foreman 1.14, and Fedora 27

March 22, 2018, 10:55 p.m.

Kickstart default template tries to install puppet-agent package in the %packages section, but the http://yum.puppetlabs.com/fedora/f27/PC1/x86_64/ repo which is set up in the kickstart file only contains puppetlabs-release-pc1.

It looks like only Puppet 5 is supported on FC27. Puppet 5 repo package is available via different URL: http://yum.puppetlabs.com/puppet5/fedora/27/x86_64/ and name: puppet-release